Modality Distribution
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/reports/modalityDistribution \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/reports/modalityDistribution"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/reports/modalityDistribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ad-hoc": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"automated": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"instructor-as-proctor": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"messaging": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"proctoru": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"register-blast": {
"total": 123,
"Scheduled": 123,
"Closed": 123
},
"smarter-scheduling": {
"total": 123,
"Scheduled": 123,
"Closed": 123
}
}Reports
Modality Distribution
Returns a report on modality distribution for the specified install.
GET
/
v1
/
installs
/
{installSid}
/
reports
/
modalityDistribution
Modality Distribution
Authorizations
Path Parameters
Install Sid
Pattern:
^AI[a-f0-9]{32}$Query Parameters
Course sid
Pattern:
^CU[a-f0-9]{32}$Exam sid
Pattern:
^EX[a-f0-9]{32}$Course Offering Sid
Pattern:
^CO[a-f0-9]{32}$Response
200 - application/json
Successful
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
